services:
  flux2_klein:
    restart: always
    build:
      context: .
      dockerfile: Dockerfile
    working_dir: /app
    volumes:
      - ./app:/app/app
      - ./checkpoint:/app/checkpoint
      - /etc/localtime:/etc/localtime:ro
    ports:
      - "14202:8451"
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              device_ids: [ '0' ]
              capabilities: [ gpu ]